package nginx-core 1.10.0-0ubuntu0.16.04.2 failed to install/upgrade: подпроцесс установлен сценарий post-installation возвратил код ошибки 1

Bug #1622546 reported by Mikle on 2016-09-12
16
This bug affects 3 people
Affects Status Importance Assigned to Milestone
nginx (Ubuntu)
Undecided
Unassigned

Bug Description

1

ProblemType: Package
DistroRelease: Ubuntu 16.04
Package: nginx-core 1.10.0-0ubuntu0.16.04.2
ProcVersionSignature: Ubuntu 4.4.0-36.55-generic 4.4.16
Uname: Linux 4.4.0-36-generic x86_64
ApportVersion: 2.20.1-0ubuntu2.1
Architecture: amd64
Date: Wed Sep 7 17:16:50 2016
DpkgHistoryLog:
 Start-Date: 2016-09-07 17:15:49
 Commandline: /usr/bin/unattended-upgrade
 Install: linux-image-4.4.0-36-generic:amd64 (4.4.0-36.55, automatic), linux-image-extra-4.4.0-36-generic:amd64 (4.4.0-36.55, automatic), linux-headers-4.4.0-36-generic:amd64 (4.4.0-36.55, automatic), linux-headers-4.4.0-36:amd64 (4.4.0-36.55, automatic), linux-signed-image-4.4.0-36-generic:amd64 (4.4.0-36.55, automatic)
 Upgrade: linux-headers-generic:amd64 (4.4.0.34.36, 4.4.0.36.38), linux-libc-dev:amd64 (4.4.0-34.53, 4.4.0-36.55), linux-image-generic:amd64 (4.4.0.34.36, 4.4.0.36.38), linux-signed-image-generic:amd64 (4.4.0.34.36, 4.4.0.36.38), linux-signed-generic:amd64 (4.4.0.34.36, 4.4.0.36.38), linux-generic:amd64 (4.4.0.34.36, 4.4.0.36.38)
ErrorMessage: подпроцесс установлен сценарий post-installation возвратил код ошибки 1
InstallationDate: Installed on 2016-07-05 (69 days ago)
InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64 (20160420.1)
RelatedPackageVersions:
 dpkg 1.18.4ubuntu1.1
 apt 1.2.12~ubuntu16.04.1
SourcePackage: nginx
Title: package nginx-core 1.10.0-0ubuntu0.16.04.2 failed to install/upgrade: подпроцесс установлен сценарий post-installation возвратил код ошибки 1
UpgradeStatus: No upgrade log present (probably fresh install)

Mikle (zeronerorgb) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in nginx (Ubuntu):
status: New → Confirmed
Thomas Ward (teward) wrote :

Due to some Apport errors I can't see the data that gives me details of your apt logs and what is running. However it looks like the pidfile doesn't exist and nginx fails to start due to that.

However, SystemD shows it's still trying to activate the process and nginx hasn't actually launched fully yet - when the "start" command is called perhaps that is causing issues, however the data here is not enough to debug it. I am also unable to replicate this in any environment.

Changed in nginx (Ubuntu):
status: Confirmed → Incomplete

Thank you Tomas.
  I try to resolve this problem on one's own.
If I have a question, I know who can ask then now.

2017-05-04 11:03 GMT+07:00 Thomas Ward <email address hidden>:

> Due to some Apport errors I can't see the data that gives me details of
> your apt logs and what is running. However it looks like the pidfile
> doesn't exist and nginx fails to start due to that.
>
> However, SystemD shows it's still trying to activate the process and
> nginx hasn't actually launched fully yet - when the "start" command is
> called perhaps that is causing issues, however the data here is not
> enough to debug it. I am also unable to replicate this in any
> environment.
>
> ** Changed in: nginx (Ubuntu)
> Status: Confirmed => Incomplete
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1622546
>
> Title:
> package nginx-core 1.10.0-0ubuntu0.16.04.2 failed to install/upgrade:
> подпроцесс установлен сценарий post-installation возвратил код ошибки
> 1
>
> Status in nginx package in Ubuntu:
> Incomplete
>
> Bug description:
> 1
>
> ProblemType: Package
> DistroRelease: Ubuntu 16.04
> Package: nginx-core 1.10.0-0ubuntu0.16.04.2
> ProcVersionSignature: Ubuntu 4.4.0-36.55-generic 4.4.16
> Uname: Linux 4.4.0-36-generic x86_64
> ApportVersion: 2.20.1-0ubuntu2.1
> Architecture: amd64
> Date: Wed Sep 7 17:16:50 2016
> DpkgHistoryLog:
> Start-Date: 2016-09-07 17:15:49
> Commandline: /usr/bin/unattended-upgrade
> Install: linux-image-4.4.0-36-generic:amd64 (4.4.0-36.55, automatic),
> linux-image-extra-4.4.0-36-generic:amd64 (4.4.0-36.55, automatic),
> linux-headers-4.4.0-36-generic:amd64 (4.4.0-36.55, automatic),
> linux-headers-4.4.0-36:amd64 (4.4.0-36.55, automatic),
> linux-signed-image-4.4.0-36-generic:amd64 (4.4.0-36.55, automatic)
> Upgrade: linux-headers-generic:amd64 (4.4.0.34.36, 4.4.0.36.38),
> linux-libc-dev:amd64 (4.4.0-34.53, 4.4.0-36.55), linux-image-generic:amd64
> (4.4.0.34.36, 4.4.0.36.38), linux-signed-image-generic:amd64
> (4.4.0.34.36, 4.4.0.36.38), linux-signed-generic:amd64 (4.4.0.34.36,
> 4.4.0.36.38), linux-generic:amd64 (4.4.0.34.36, 4.4.0.36.38)
> ErrorMessage: подпроцесс установлен сценарий post-installation возвратил
> код ошибки 1
> InstallationDate: Installed on 2016-07-05 (69 days ago)
> InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64
> (20160420.1)
> RelatedPackageVersions:
> dpkg 1.18.4ubuntu1.1
> apt 1.2.12~ubuntu16.04.1
> SourcePackage: nginx
> Title: package nginx-core 1.10.0-0ubuntu0.16.04.2 failed to
> install/upgrade: подпроцесс установлен сценарий post-installation возвратил
> код ошибки 1
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/nginx/+bug/
> 1622546/+subscriptions
>

Launchpad Janitor (janitor) wrote :

[Expired for nginx (Ubuntu) because there has been no activity for 60 days.]

Changed in nginx (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers